package com.steerinfo.baseinfo.meterbasehistaredata.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="历史皮重数据维护表")
public class MeterBaseHisTareData implements IBasePO<String> {
    /**
     * 数据编号(YYYYMMDD+4位流水)(DATA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="数据编号(YYYYMMDD+4位流水)",required=true)
    private String dataNo;

    /**
     * 皮重计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 皮重计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="皮重计量点名称",required=true)
    private String baseSpotName;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 皮重数据(KG)(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重数据(KG)",required=true)
    private Long meterWeight;

    /**
     * 皮重计量员(METER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量员",required=false)
    private String meterName;

    /**
     * 皮重计量时间(YYYY-MM-DD HH:mm:ss)(METER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重计量时间(YYYY-MM-DD HH:mm:ss)",required=true)
    private Date meterTime;

    /**
     * 上一次皮重（KG）(UP_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="上一次皮重（KG）",required=true)
    private Long upWeight;

    /**
     * 平均皮重（(平均*次数+当前)/(次数+1)）(AVG_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="平均皮重（(平均*次数+当前)/(次数+1)）",required=true)
    private Long avgWeight;

    /**
     * 皮重次数(METER_NUM,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重次数",required=true)
    private Long meterNum;

    /**
     * 状态（0：有效；1：无效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：有效；1：无效）",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 操作原因(NOTE,VARCHAR,255)
     */
    @ApiModelProperty(value="操作原因",required=false)
    private String note;

    /**
     * 写入皮重类型：1：常规皮，2：期限皮，3：混装皮，4：混卸皮，5：双委托结净皮，6：内倒双委托期限皮(TARE_TYPE,VARCHAR,2)
     */
    @ApiModelProperty(value="写入皮重类型：1：常规皮，2：期限皮，3：混装皮，4：混卸皮，5：双委托结净皮，6：内倒双委托期限皮",required=false)
    private String tareType;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.dataNo;
    }

    @Override
    public void setId(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getDataNo() {
        return dataNo;
    }

    public void setDataNo(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Long getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(Long meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getMeterName() {
        return meterName;
    }

    public void setMeterName(String meterName) {
        this.meterName = meterName == null ? null : meterName.trim();
    }

    public Date getMeterTime() {
        return meterTime;
    }

    public void setMeterTime(Date meterTime) {
        this.meterTime = meterTime;
    }

    public Long getUpWeight() {
        return upWeight;
    }

    public void setUpWeight(Long upWeight) {
        this.upWeight = upWeight;
    }

    public Long getAvgWeight() {
        return avgWeight;
    }

    public void setAvgWeight(Long avgWeight) {
        this.avgWeight = avgWeight;
    }

    public Long getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(Long meterNum) {
        this.meterNum = meterNum;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getTareType() {
        return tareType;
    }

    public void setTareType(String tareType) {
        this.tareType = tareType == null ? null : tareType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dataNo=").append(dataNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", carNo=").append(carNo);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", meterName=").append(meterName);
        sb.append(", meterTime=").append(meterTime);
        sb.append(", upWeight=").append(upWeight);
        sb.append(", avgWeight=").append(avgWeight);
        sb.append(", meterNum=").append(meterNum);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", note=").append(note);
        sb.append(", tareType=").append(tareType);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
